package com.czg.task;

import com.czg.market.entity.SmsShopMoney;
import com.czg.service.market.mapper.SmsShopMoneyMapper;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.HashMap;

/**
 * @author ww
 * @description
 */
@Slf4j
@Component
public class SmsShopMoneyTask {

    @Resource
    private SmsShopMoneyMapper shopMoneyMapper;

    public void task() {
        SmsShopMoney smsShopMoney = new SmsShopMoney();
        smsShopMoney.setMonthAmountTotal(BigDecimal.ZERO);
        smsShopMoney.setMonthSendTotal(0L);
        shopMoneyMapper.updateByMap(smsShopMoney, true, new HashMap<>());
    }
}
